OpenTTD Source: SoundsSet Struct Reference

OpenTTD Source 12.2

SoundsSet Struct Reference

All data of a sounds set. More...

`#include <base_media_base.h>`

Inheritance diagram for SoundsSet:

## Additional Inherited Members
Public Types inherited from BaseSet< SoundsSet, 1, true >
typedef std::unordered_map< std::string, std::string > | TranslatedStrings
Public Member Functions inherited from BaseSet< SoundsSet, 1, true >
| ~BaseSet ()
| Free everything we allocated.
int | GetNumMissing () const
| Get the number of missing files. More...
int | GetNumInvalid () const
| Get the number of invalid files. More...
bool | FillSetDetails (IniFile *ini, const char *path, const char *full_filename, bool allow_empty_filename=true)
| Read the set information from a loaded ini. More...
const char * | GetDescription (const std::string &isocode) const
| Get the description for the given ISO code. More...
const char * | GetTextfile (TextfileType type) const
| Search a textfile file next to this base media. More...
Static Public Member Functions inherited from BaseSet< SoundsSet, 1, true >
static MD5File::ChecksumResult | CheckMD5 (const MD5File *file, Subdirectory subdir)
| Calculate and check the MD5 hash of the supplied file. More...
Data Fields inherited from BaseSet< SoundsSet, 1, true >
std::string | name
| The name of the base set.
TranslatedStrings | description
| Description of the base set.
uint32 | shortname
| Four letter short variant of the name.
uint32 | version
| The version of this base set.
bool | fallback
| This set is a fallback set, i.e. it should be used only as last resort.
MD5File | files [NUM_FILES]
| All files part of this set.
uint | found_files
| Number of the files that could be found.
uint | valid_files
| Number of the files that could be found and are valid.
SoundsSet * | next
| The next base set in this list.
Static Public Attributes inherited from BaseSet< SoundsSet, 1, true >
static const size_t | NUM_FILES
| Number of files in this set.
static const bool | SEARCH_IN_TARS
| Whether to search in the tars or not.
static const char *const * | file_names
| Internal names of the files in this set. More...

## Detailed Description

All data of a sounds set.

Definition at line 263 of file base_media_base.h.

The documentation for this struct was generated from the following file:

- src/base_media_base.h